Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 617020 (CVE-2017-5951) - <app-text/ghostscript-gpl-9.21: NULL pointer dereference in the mem_get_bits_rectangle function
Summary: <app-text/ghostscript-gpl-9.21: NULL pointer dereference in the mem_get_bits_...
Status: RESOLVED FIXED
Alias: CVE-2017-5951
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [glsa cve]
Keywords:
Depends on: CVE-2017-8291
Blocks:
  Show dependency tree
 
Reported: 2017-04-29 17:11 UTC by Ian Zimmerman
Modified: 2017-10-08 20:33 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Zimmerman 2017-04-29 17:11:21 UTC
RH summary [1]:
The mem_get_bits_rectangle function in base/gdevmem.c in Artifex Software, Inc. Ghostscript allows attackers to cause a denial of service (NULL pointer dereference and application crash) via a crafted file.

Upstream patch [2]

Upstream ref [3]

[1] https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2017-5951
[2] http://git.ghostscript.com/?p=user/chrisl/ghostpdl.git;a=commitdiff;h=bfa6b2ec
[3] https://bugs.ghostscript.com/show_bug.cgi?id=697548
Comment 1 Andreas K. Hüttel gentoo-dev 2017-06-09 22:54:14 UTC
Patched in our 9.21
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2017-08-21 01:16:39 UTC
This issue was resolved and addressed in
 GLSA 201708-06 at https://security.gentoo.org/glsa/201708-06
by GLSA coordinator Thomas Deutschmann (whissi).
Comment 3 Thomas Deutschmann gentoo-dev Security 2017-08-21 01:19:48 UTC
Re-opening for remaining architecture.